Subject: bug#41463: 27.0.91; ACL error on Windows when trying to save file

From: Lars Ljung <[email-masked]>
Date: Fri, 22 May 2020 23:27:11 +0200

Den 2020-05-22 kl. 21:08, skrev Eli Zaretskii:
> Please report all the details: the ACLs and the owner of that file,
> and your user's name and group.  It is impossible to investigate this
> without those details.
> 
> There was no change in handling of ACLs between Emacs 26 and 27, but
> some file-related operations now signal an error instead of silently
> failing.  I'm guessing you bumped into one such situation.

Now I think that this happens because H: is a network drive that is
marked as "available offline". The problem goes away if I reconnect to
the company network, and it comes back when I go offline again.

I traced this to acl_get_file() in w32.c where GetLastError() returns
50, i.e. ERROR_NOT_SUPPORTED.

I hope this helps.